Bug 1904385 - [oVirt] registry cannot mount volume on 4.6.4 -> 4.6.6 upgrade [NEEDINFO]
Summary: [oVirt] registry cannot mount volume on 4.6.4 -> 4.6.6 upgrade
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 4.6
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.7.0
Assignee: Benny Zlotnik
QA Contact: michal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-12-04 09:36 UTC by Vadim Rutkovsky
Modified: 2021-02-24 15:39 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:37:53 UTC
Target Upstream Version:
bzlotnik: needinfo? (michael)


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift ovirt-csi-driver pull 63 0 None closed Bug 1904385: make ControllerPublishVolume idempotent 2021-02-08 09:16:42 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:39:59 UTC

Description Vadim Rutkovsky 2020-12-04 09:36:17 UTC
Description of problem:

During 4.6.4 -> 4.6.6 upgrade registry, backed with oVirt CSI drivers, failed to rollout as backing volume could not be mounted.

Comment 2 Michael Silich 2020-12-04 12:19:15 UTC
Same Issue, 

here is my must-gather file

https://drive.google.com/file/d/1JoYZ1-VBC_E93xe4QCXiL7mELg5tTY9G/view?usp=sharing

Comment 3 Vadim Rutkovsky 2020-12-04 12:36:23 UTC
Another must-gather with similar issue during OKD 4.5 -> 4.6 upgrade from https://github.com/openshift/okd/issues/406 - https://1drv.ms/u/s!AhsStU0_yWDegUXpTfbwE7Bq67IV

Comment 4 Benny Zlotnik 2020-12-06 12:22:45 UTC
(In reply to Michael Silich from comment #2)
> Same Issue, 
> 
> here is my must-gather file
> 
> https://drive.google.com/file/d/1JoYZ1-VBC_E93xe4QCXiL7mELg5tTY9G/
> view?usp=sharing
I see a lot of:
2020-12-04T10:22:48.787550045Z E1204 10:22:48.787247       1 server.go:125] /csi.v1.Controller/ControllerPublishVolume returned with error: Fault reason is "Operation Failed". Fault detail is "[Cannot attach Virtual Disk. The disk is already attached to VM.]". HTTP response code is "409". HTTP response message is "409 Conflict".
2020-12-04T10:22:48.820303504Z I1204 10:22:48.820230       1 controller.go:133] Attaching Disk 38c79a7d-42ee-48db-8692-eb452726d03f to VM 4089c540-80a7-4aca-bf44-b3dd0eabeeb8

Looks like it tries to move the PV to another node, can you share some information on the layout of nodes? Where this disk is currently attached?

Comment 6 michal 2021-01-25 15:10:44 UTC
steps:
1) install ocp 4.5
2) upgrade ocp to 4.6
3) Look on .install-config.log

actual:
there are no errors in .install-config.log

I tried to reproduce this bug before the fix and couldn't reproduce it

Comment 9 errata-xmlrpc 2021-02-24 15:37:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.